Package ghidra.app.plugin.assembler.sleigh.sem

# Class AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedBackfillBuilder

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder<AssemblyResolvedBackfill>,AssemblyResolvedBackfill>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder<AssemblyResolvedBackfill>
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedBackfillBuilder

Enclosing class:
  `AbstractAssemblyResolutionFactory<RP extends AssemblyResolvedPatterns,BF extends AssemblyResolvedBackfill>`

public class AbstractAssemblyResolutionFactory.DefaultAssemblyResolvedBackfillBuilder extends AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder<AssemblyResolvedBackfill>

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder

  `exp, goal, inslen, offset`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, description, right`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAssemblyResolvedBackfillBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AssemblyResolvedBackfill`
  `build()`

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder

  `children, copyFromDefault, description, right, self`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultAssemblyResolvedBackfillBuilder

    public DefaultAssemblyResolvedBackfillBuilder()

- ## Method Details

  - ### build

    protected AssemblyResolvedBackfill build()
    Specified by:
      `build` in class `AbstractAssemblyResolutionFactory.AbstractAssemblyResolutionBuilder<AbstractAssemblyResolutionFactory.AbstractAssemblyResolvedBackfillBuilder<AssemblyResolvedBackfill>,AssemblyResolvedBackfill>`